<?php
/*
	One Explorer V1.0 beta PHP
	Copyright (c) 2008 VGOT.CN
*/

function getRelativePath($path) {
	$realpath = realpath($path);
	$realpath = str_replace("\\","/",$realpath);
	return $realpath;
}

function getUpDir($path){
	$path = rtrim($path,'/');
	$path = explode('/',$path);
	$pathLast = sizeof($path) - 1;
	unset($path[$pathLast]);
	$path = join('/',$path);
	return $path;
}

function getDirList($folder, $isSubDir = false) {
	$dirList = array();
	if(is_dir($folder)) {
		$handle = opendir($folder);
		while(false !== ($myFile = readdir($handle))) {
			if($myFile != '.' && $myFile != '..') {
				$dirList[] = $myFile;
				if($isSubDir && is_dir($folder.'/'.$myFile)) {
					getDirList($folder.'/'.$myFile, $isSubDir);
				}
			}
		}
		closedir($handle);
		unset($folder, $isSubDir);
		return $dirList;
	}
	return $dirList;
}

function footer(){
?>
	<hr />
	<address>One Explorer V1.0 beta & </address><? echo $_SERVER['SERVER_SIGNATURE']; ?>
<?php
}

$dir = $_GET['dir'];
$dir = (empty($dir)) ? './' : $dir.'/';
$rpath = getRelativePath($dir);
$upDir = getUpDir($dir);

if(!file_exists($rpath)) {
	echo '<h1>Ŀ¼</h1>';
	footer();
	die();
}

$allList = getDirList($rpath);
$dirlist = array();
$dirlist['dir'] = array();
$dirlist['file'] = array();

foreach($allList as $name){
	if(is_dir($rpath.'/'.$name)){
		$dirlist['dir'][] = $name;
	}else{
		$dirlist['file'][] = $name;
	}
}

$title = ltrim($dir,'.');
$title = (empty($title) or $title == '/') ? 'ROOT' : $title;

$dirQuantity = count($dirlist['dir']);
$fileQuantity = count($dirlist['file']);

header("programa:no-cache");  //ûл

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Expires" content="-1">
<title><?php echo $title; ?></title>
<style type="text/css">
<!--
body{
	font-size:11pt;
	margin:0px;
	background-color:#F7F7F7;
}
a:link{color:#0000FF; text-decoration:underline;}
a:visited{color:#810081;}
.padContent{padding:10px;}
.path{background-color:#F2FFA5; padding:5px; border-bottom:1px solid #FFAFB2;}
li a{line-height:17px; voice-family:inherit; display:block;}
.folder li a:hover{background-color:#F2FFA5; font-style:italic; font-weight:bold; color:black;}
.file li a:hover{background-color:#BFFAFF; font-style:italic; font-weight:bold; color:black;}
address{text-align:right;}
-->
</style>
</head>
<body>
<div class="path"><!-- :<?php echo $rpath;?>  &nbsp;&nbsp;&nbsp;&nbsp; -->  <?php echo $dir;?> </div>
<div class="padContent">
<p class="tools">
	<?php if($dir != './'){ ?><a href="?">ROOT</a>&nbsp;<a href="?dir=<?php echo $upDir; ?>">UP</a>&nbsp;<?php } ?><a href="javascript:location.reload();">ˢ</a>&nbsp;
	ǰĿ¼<?php echo ($dirQuantity  >=1) ? ''.$dirQuantity.'ļ' : 'ûļ'; echo ','; echo ($fileQuantity  >=1) ? $fileQuantity.'ļ' : 'ûļ'; ?>
</p>
<div class="list">
<?php if($dirQuantity  >= 1){ ?>
ļб:
<ul class="folder">
<?php foreach($dirlist['dir'] as $dirName) {?>
<li><a href="?dir=<?php echo $dir.$dirName; ?>" title="Ŀ¼µ"><span><?php echo $dirName;?></span></a></li>
<?php } ?>
</ul>
<?php } ?>

<?php if($fileQuantity >= 1){ ?>
ļб:
<ul class="file">
<?php foreach($dirlist['file'] as $fileName) {?>
<li><a href="<?php echo $dir.$fileName; ?>" target="_blank" title="ʴļ"><span><?php echo $fileName;?></span></a></li>
<?php } ?>
</ul>
</div>
<?php } footer(); ?>
</div>
</body>
</html>